PROCS(1)

NAME
procs - a replacement for `ps` written in Rust

SYNOPSIS

procs [OPTIONS] [KEYWORDS]

DESCRIPTION

procs is a command-line tool that provides an alternative to the ps command.

OPTIONS

--and
    Show processes that match all keywords.

--or
    Show processes that match any keyword.

--nand
    Hide processes that match all keywords.

--nor
    Hide processes that match any keyword.

--watch
    Enable watch mode for real-time updates.

--watch-interval <second>
    Set the update interval for watch mode.

--tree
    Display processes in a tree view.

--sorta <column>
    Sort processes in ascending order by the specified column.

--sortd <column>
    Sort processes in descending order by the specified column.

--insert <column>
    Insert a new column at the position of Slot or MultiSlot.

EXAMPLES

Show all processes
    procs

Search by non-numeric keyword
    procs zsh

Search by numeric keyword
    procs --or 6000 60000 60001 16723

Show Docker container name
    procs growi

WATCH MODE SHORTCUTS

If --watch or --watch-interval <second> option is used, procs automatically updates output like top. Keyboard shortcuts are available for control.

n
    Change the sort column to the next column

p
    Change the sort column to the previous column

a
    Change the sort order to ascending

d
    Change the sort order to descending

q
    Quit

CONFIGURATION FILE

The output of procs can be fully customized by writing up a configuration file and saving it as $HOME/.config/procs/config.toml (per-user) or /etc/procs/procs.toml (system-wide). A complete example can be found at /usr/share/doc/procs/config.toml.example. A thorough explanation of the file format is provided at or in /usr/share/doc/procs/README.md.

RESOURCES

Project source code and full documentation: